Create an event filter
Creates an event filter to customize which events you want to monitor based on specific criteria. This helps you manage and respond to events more effectively.
HTTP method and endpoint
POST /support/ems/filters
Introduced in
ONTAP 9.6
Required properties
-
name- String that uniquely identifies the filter.
Recommended optional properties
-
rules- List of criteria which is used to match a filter with an event.
Related ONTAP commands
-
event filter create
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
return_records |
boolean |
query |
False |
The default is false. If set to true, the records are returned.
|
Request Body
| Name | Type | Description |
|---|---|---|
name |
string |
Filter name |
rules |
array[rules] |
Array of event filter rules on which to match. |
Example request
{
"name": "snmp-traphost",
"rules": [
{
"index": "1",
"message_criteria": {
"name_pattern": "callhome.*",
"severities": "error,informational",
"snmp_trap_types": "standard|built_in"
},
"type": "include"
}
]
}
Response
Status: 201, Created
| Name | Type | Description |
|---|---|---|
num_records |
integer |
Number of records |
records |
array[records] |
Example response
{
"num_records": "3",
"records": [
{
"name": "snmp-traphost",
"rules": [
{
"index": "1",
"message_criteria": {
"name_pattern": "callhome.*",
"severities": "error,informational",
"snmp_trap_types": "standard|built_in"
},
"type": "include"
}
]
}
]
}
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
983088 |
The filter name provided is empty |
983089 |
The filter name provided cannot contain spaces |
983092 |
The index of the rule provided is outside the allowed range for the filter provided |
983094 |
The filter name provided is invalid. The filter name must contain between 2 and 64 characters and start and end with an alphanumeric symbol or (underscore). The allowed special characters are (underscore) and -(hyphen) |
983095 |
The rule index provided is invalid for the filter provided |
983101 |
No event is matched by the rule provided |
983113 |
Default filters cannot be modified or removed |
983114 |
The maximum number of filters is reached |
983115 |
The maximum number of filter rules is reached |
983126 |
A rule requires at least one name_pattern, severities, or snmp_trap_types to be defined |
983127 |
A property cannot contain a combination of the wildcard character and other values |
983128 |
An invalid value is provided for the property 'snmp_trap_types' |
983146 |
An invalid value is provided for the property 'severities' |
983147 |
The severity provided are not supported |
983155 |
The provided severities property does not match that of the name_pattern |
983156 |
The provided snmp_trap_types property does not match that of the name_pattern |
983157 |
The provided severities and snmp_trap_types do not match those of the name_pattern |
983158 |
The name_pattern provided does not exist |
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
message_criteria
Matching message definitions for the filter. A property must be specified.
| Name | Type | Description |
|---|---|---|
name_pattern |
string |
Message name filter on which to match. Supports wildcards. Defaults to * if not specified. |
severities |
string |
A comma-separated list of severities or a wildcard. |
snmp_trap_types |
string |
A comma separated list of snmp_trap_types or a wildcard. |
rules
Rule for an event filter
| Name | Type | Description |
|---|---|---|
index |
integer |
Rule index. Rules are evaluated in ascending order. If a rule's index order is not specified during creation, the rule is appended to the end of the list. |
message_criteria |
Matching message definitions for the filter. A property must be specified. |
|
type |
string |
Rule type |
ems_filter
| Name | Type | Description |
|---|---|---|
name |
string |
Filter name |
rules |
array[rules] |
Array of event filter rules on which to match. |
records
| Name | Type | Description |
|---|---|---|
name |
string |
Filter name |
rules |
array[rules] |
Array of event filter rules on which to match. |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |